# Index

After processing a request, Horizon returns a success or error response to the client. A success response will return a Status Code of 200, and an error response will return a Status Code in the range of 4XX - 5XX along with additional information about why the request could not complete successfully.

There are two categories of errors: [HTTP Status Codes](/api/errors/http-status-codes/index.md) and [Result Codes](/api/errors/result-codes/index-1.md). Result Codes only follow a Transaction Failed (400) HTTP Status Code.

Error Categories

| [HTTP Status Codes](https://developers.stellar.org/api/errors/http-status-codes/) | Errors that occur at the Horizon Server level. |
| --------------------------------------------------------------------------------- | ---------------------------------------------- |
| [Result Codes](https://developers.stellar.org/api/errors/result-codes/)           | Errors that occur at the Stellar Core level.   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.docs.bantufoundation.org/api/errors/index.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
